Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class CompositeFilter

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableFilter
              ru.biosoft.access.CompositeFilter

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  BeanValueFilter

public class CompositeFilter
extends MutableFilter

To do:
  comments

Nested Class Summary

Nested classes inherited from class ru.biosoft.access.Filter
`Filter.IncludeAllFilter, Filter.IncludeNoneFilter`

Field Summary
`protected Filter[]` | `filterList`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface ru.biosoft.access.Filter
`INCLUDE_ALL_FILTER, INCLUDE_NONE_FILTER`

Constructor Summary
`CompositeFilter()`
`CompositeFilter(com.beanexplorer.beans.Option parent)`

Method Summary
`void` | `add(Filter filter)` Add new filter to the list.
`protected void` | `firePropertyChange(java.beans.PropertyChangeEvent evt)`
`Filter[]` | `getFilter()`
`Filter` | `getFilter(int i)`
`boolean` | `isAcceptable(DataElement de)` To satisfy this filter `DataElement` should satisfy all all subfilters.
`boolean` | `isExists(Filter filter)`
`protected boolean` | `processIsEnabled()`
`void` | `remove(Filter filter)`
`void` | `setFilter(Filter[] filterList)`
`void` | `setFilter(int i, Filter filter)`

Methods inherited from class ru.biosoft.access.MutableFilter
`isEnabled, setEnabled`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filterList

    protected Filter[] filterList

Constructor Detail

### CompositeFilter

    public CompositeFilter()

### CompositeFilter

    public CompositeFilter(com.beanexplorer.beans.Option parent)

Method Detail

### isAcceptable

    public boolean isAcceptable(DataElement de)

  To satisfy this filter `DataElement` should satisfy all all subfilters. `null` is not accepted.

  Parameters:
    `de` - Data element.
  Returns:
    `true` - if filter accept specified data element, `false` otherwise.
  See Also:
    `DataElement`

### firePropertyChange

    protected void firePropertyChange(java.beans.PropertyChangeEvent evt)

### processIsEnabled

    protected boolean processIsEnabled()

### getFilter

    public Filter[] getFilter()

### getFilter

    public Filter getFilter(int i)

### setFilter

    public void setFilter(Filter[] filterList)

### setFilter

    public void setFilter(int i,
                          Filter filter)

### add

    public void add(Filter filter)

  Add new filter to the list. If this filter is `MutableFilter`, then set up itself as a parent.

### isExists

    public boolean isExists(Filter filter)

### remove

    public void remove(Filter filter)

  To do:
    implement

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.